LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XStarBasicAccess Interface Referencepublished

Interface representing a library and provides access to its modules. More...

`import"XStarBasicAccess.idl";`

Inheritance diagram for XStarBasicAccess:

## Public Member Functions
com::sun::star::container::XNameContainer | getLibraryContainer ()
| returns the library container giving access to the libraries stored in a document or basic library file. More...
void | createLibrary ([in] string LibName, [in] string Password, [in] string ExternalSourceURL, [in] string LinkTargetURL) raises ( com::sun::star::container::ElementExistException )
| Creates an empty library. More...
void | addModule ([in] string LibraryName, [in] string ModuleName, [in] string Language, [in] string Source) raises ( com::sun::star::container::NoSuchElementException )
| Adds a module to an existing (e.g., created by createLibrary) library. More...
void | addDialog ([in] string LibraryName, [in] string DialogName, [in] sequence< byte > Data) raises ( com::sun::star::container::NoSuchElementException )
| Adds an old style basic dialog (SI controls) to an existing (e.g., created by createLibrary) library. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface representing a library and provides access to its modules.

Deprecated:

## Member Function Documentation

## ◆ addDialog()

void addDialog | ( | [in] string | LibraryName,
|  | [in] string | DialogName,
|  | [in] sequence< byte > | Data
| ) |  |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Adds an old style basic dialog (SI controls) to an existing (e.g., created by createLibrary) library.

By using this method together with createLibrary the caller does not have to implement XStarBasicLibraryInfo and XStarBasicDialogInfo

Exceptions

  NoSuchElementException | if the library doesn't exist.

## ◆ addModule()

void addModule | ( | [in] string | LibraryName,
|  | [in] string | ModuleName,
|  | [in] string | Language,
|  | [in] string | Source
| ) |  |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Adds a module to an existing (e.g., created by createLibrary) library.

By using this method together with createLibrary the caller does not have to implement XStarBasicLibraryInfo and XModuleInfo.

Exceptions

  NoSuchElementException | if the library doesn't exist.

## ◆ createLibrary()

void createLibrary | ( | [in] string | LibName,
|  | [in] string | Password,
|  | [in] string | ExternalSourceURL,
|  | [in] string | LinkTargetURL
| ) |  |
raises | ( | com::sun::star::container::ElementExistException
| ) |  |

Creates an empty library.

This method can be called alternatively to accessing directly the NameContainer returned by getLibraryContainer. By using this method together with addModule and addStarBasicDialog the caller does not have to implement XStarBasicLibraryInfo, XModuleInfo, and XStarBasicDialogInfo

## ◆ getLibraryContainer()

com::sun::star::container::XNameContainer getLibraryContainer | ( |  | ) |

returns the library container giving access to the libraries stored in a document or basic library file.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XStarBasicAccess.idl